package uk.co.mrdw.photostopwatch;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintStream;

import android.os.AsyncTask;
import android.util.Log;

public class AsyncSaveResultTask extends AsyncTask<Void, Void, Void> {
	private static final String TAG = "AsyncSaveResultTask";
	private static final Object lock = new Object();

	private static final boolean APPEND_TRUE = true;

	private RaceData race;
	private Long time;
	private boolean photoCheck;

	public AsyncSaveResultTask(RaceData race, Long time, boolean photoCheck) {
		this.race = race;
		this.time = time;
		this.photoCheck = photoCheck;
	}

	@Override
	protected Void doInBackground(Void... params) {

		synchronized (lock) {
			File raceTimesFile = Utils.getRaceTimesFile(race);
			PrintStream psText;
			try {
				psText = new PrintStream(new FileOutputStream(raceTimesFile, APPEND_TRUE));
				psText.println(time + "," + photoCheck);
				psText.close();
			} catch (IOException e) {
				Log.e(TAG, "Couldn't write out result " + time + "," + photoCheck, e);
			}
		}
		return null;

	}

	//
	//
	//
	// } catch (IOException e) {
	// Log.e(TAG, "Unable to save results ", e);// how to handle this ? maybe pass on warning to display in intent?
	// }
	//
}
